EmbodiFlow文档
开始使用数据工作流与算法训练与部署开发者参考
  • 开发者参考

认证

  • 认证概览
  • API 密钥
  • 个人访问令牌
  • 浏览器会话

REST API

  • 使用 REST API
  • 全部端点
  • 项目
    • 录制
      • 上传
        • 任务片段与版本
          • 标注
            • 质量与任务
              • 检索
                • 工作流
                  • GET
                    List algorithm definitions
                  • POST
                    Create a algorithm definition
                  • GET
                    Get a algorithm definition
                  • GET
                    List revisions for a algorithm definition
                  • POST
                    Create a revision
                  • POST
                    Create a publication request
                  • POST
                    Create a revocation
                  • POST
                    Create a image ref validation
                  • GET
                    Get a container run
                  • GET
                    List log downloads for a container run
                  • GET
                    List outdated outputs for a project
                  • POST
                    Create a workflow run
                  • GET
                    List workflows for a version
                  • POST
                    Create a workflow backfill
                  • GET
                    List workflow bindings for a project
                  • PUT
                    Update a workflow binding
                  • POST
                    Create a workflow run plan
                  • GET
                    List workflow runs for a project
                  • POST
                    Create a workflow run
                  • GET
                    List recent quality jobs for a me
                  • GET
                    List workflow definitions
                  • POST
                    Create a workflow definition
                  • DELETE
                    Delete a workflow definition
                  • GET
                    Get a workflow definition
                  • PATCH
                    Update a workflow definition
                  • POST
                    Create a revision
                  • GET
                    Get a revision
                  • PUT
                    Update a revision
                  • PUT
                    Update a layout
                  • POST
                    Create a publication
                  • GET
                    Get a workflow run
                  • POST
                    Create a cancellation request
                  • GET
                    List container runs for a workflow run
                  • GET
                    List recordings for a workflow run
                  • POST
                    Create a rerun request
                  • GET
                    List steps for a workflow run
                  • GET
                    Get a workflow step run
                  • POST
                    Create a download session
                  • GET
                    List log tail for a workflow step run
                  • GET
                    List outputs for a workflow step run
                  • POST
                    Create a workflow validation
                • 算法
                  • 模型
                    • 产物与导出
                      • 计费与用量
                        • 团队与治理
                          • 账号与通知
                            • Webhook 端点

                              事件

                              • 出站事件
                              • 签名校验

                              工具

                              • 命令行
                              • SDK
                              • MCP

                              更新

                              • 更新日志

                              © 2026 EmbodiFlow

                              llms.txtOpenAPI JSON
                              1. 开发者参考
                              2. REST API
                              3. 工作流
                              4. Get a workflow run

                              Get a workflow run

                              GET
                              /v1/workflow-runs/{runId}
                              curl -X GET 'https://api.embodiflow.io/v1/workflow-runs/{runId}' \
                                -H 'Authorization: Bearer $EMBODIFLOW_PAT'

                              认证

                              每个请求都需要携带个人访问令牌(PAT)。

                              • Authorization: Bearer PAT
                              认证指南

                              路径参数

                              • runIdstring必填

                              响应

                              Success

                              • dataobject必填
                                • snapshotobject | null必填
                                • curateobject | null必填
                                • summaryobject必填
                                • countsobject必填
                                • statusstring
                                • recordingCountnumber
                                • workflowNamestring | null
                                • failureobject
                                • idstring
                                • projectIdstring | null
                                • modestring
                                • triggerstring | null
                                • runGroupIdstring | null
                                • estimateobject
                                • specHashstring | null
                                • errorCodestring | null
                                • createdAtstring | null
                                • startedAtstring | null
                                • finishedAtstring | null
                                • cancelRequestedAtstring | null
                              响应示例
                              {
                                "data": {
                                  "snapshot": {
                                    "contract": "embodiflow-run-snapshot/v1",
                                    "workflow": {
                                      "apiVersion": "embodiflow-workflow/v1",
                                      "name": "string",
                                      "type": "export",
                                      "steps": [
                                        {
                                          "id": "string",
                                          "uses": "string",
                                          "inputs": {},
                                          "with": {},
                                          "when": [],
                                          "onFail": "continue"
                                        }
                                      ],
                                      "output": {
                                        "recording": "string",
                                        "features": "string",
                                        "checks": "string",
                                        "episodes": "string",
                                        "selection": "string",
                                        "artifact": "string"
                                      },
                                      "description": "string",
                                      "params": {}
                                    },
                                    "steps": {},
                                    "merge": {
                                      "resolvedUses": "string",
                                      "revisionId": "string"
                                    },
                                    "layout": {
                                      "owner": "tenant",
                                      "workflowDefinitionId": "string",
                                      "workflowRevisionId": "string"
                                    }
                                  },
                                  "curate": {
                                    "kept": 0,
                                    "dropped": 0,
                                    "createdVersionId": "string",
                                    "createdVersionNumber": 0,
                                    "versionCreated": false,
                                    "outcome": "created"
                                  },
                                  "summary": {
                                    "session": {},
                                    "recording": {},
                                    "batch": {},
                                    "version": {}
                                  },
                                  "counts": {
                                    "stepRuns": 0,
                                    "recordings": 0,
                                    "cached": 0
                                  },
                                  "status": "string",
                                  "recordingCount": 0,
                                  "workflowName": "string",
                                  "failure": {
                                    "code": "string",
                                    "reason": "string",
                                    "stepId": "string",
                                    "stepName": "string",
                                    "stepAlgorithm": {
                                      "slug": "string",
                                      "title": "string",
                                      "official": false
                                    },
                                    "stepRunId": "string",
                                    "runId": "string",
                                    "stepErrorCode": "string"
                                  },
                                  "id": "string",
                                  "projectId": "string",
                                  "mode": "string",
                                  "trigger": "string",
                                  "runGroupId": "string",
                                  "estimate": {},
                                  "specHash": "string",
                                  "errorCode": "string",
                                  "createdAt": "string",
                                  "startedAt": "string",
                                  "finishedAt": "string",
                                  "cancelRequestedAt": "string"
                                }
                              }
                              服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1
                              上一页

                              POST /workflow-definitions/{id}/revisions/{revision}/publication

                              下一页

                              POST /workflow-runs/{runId}/cancellation-requests

                              curl -X GET 'https://api.embodiflow.io/v1/workflow-runs/{runId}' \
                                -H 'Authorization: Bearer $EMBODIFLOW_PAT'
                              响应示例
                              状态码
                              200
                              ​
                              {
                                "data": {
                                  "snapshot": {
                                    "contract": "embodiflow-run-snapshot/v1",
                                    "workflow": {
                                      "apiVersion": "embodiflow-workflow/v1",
                                      "name": "string",
                                      "type": "export",
                                      "steps": [
                                        {
                                          "id": "string",
                                          "uses": "string",
                                          "inputs": {},
                                          "with": {},
                                          "when": [],
                                          "onFail": "continue"
                                        }
                                      ],
                                      "output": {
                                        "recording": "string",
                                        "features": "string",
                                        "checks": "string",
                                        "episodes": "string",
                                        "selection": "string",
                                        "artifact": "string"
                                      },
                                      "description": "string",
                                      "params": {}
                                    },
                                    "steps": {},
                                    "merge": {
                                      "resolvedUses": "string",
                                      "revisionId": "string"
                                    },
                                    "layout": {
                                      "owner": "tenant",
                                      "workflowDefinitionId": "string",
                                      "workflowRevisionId": "string"
                                    }
                                  },
                                  "curate": {
                                    "kept": 0,
                                    "dropped": 0,
                                    "createdVersionId": "string",
                                    "createdVersionNumber": 0,
                                    "versionCreated": false,
                                    "outcome": "created"
                                  },
                                  "summary": {
                                    "session": {},
                                    "recording": {},
                                    "batch": {},
                                    "version": {}
                                  },
                                  "counts": {
                                    "stepRuns": 0,
                                    "recordings": 0,
                                    "cached": 0
                                  },
                                  "status": "string",
                                  "recordingCount": 0,
                                  "workflowName": "string",
                                  "failure": {
                                    "code": "string",
                                    "reason": "string",
                                    "stepId": "string",
                                    "stepName": "string",
                                    "stepAlgorithm": {
                                      "slug": "string",
                                      "title": "string",
                                      "official": false
                                    },
                                    "stepRunId": "string",
                                    "runId": "string",
                                    "stepErrorCode": "string"
                                  },
                                  "id": "string",
                                  "projectId": "string",
                                  "mode": "string",
                                  "trigger": "string",
                                  "runGroupId": "string",
                                  "estimate": {},
                                  "specHash": "string",
                                  "errorCode": "string",
                                  "createdAt": "string",
                                  "startedAt": "string",
                                  "finishedAt": "string",
                                  "cancelRequestedAt": "string"
                                }
                              }